import { railWaylist } from "../../views/setting/api"
const state = {
    list: []
}
const mutations = {
    changeList(state, arr) {
        state.list = arr
    }
}
const actions = {
    asyncList(context) {
        railWaylist().then(res => {
        //    let arr =res.data.list?res.data.list:[]
        let arr = res.records?res.records:[]
        
            context.commit("changeList", arr)
        })
    }
}
const getters = {
    list(state) {
        return state.list
    }
}
export default {
    state,
    mutations,
    actions,
    getters,
    namespaced: true
}